%global npm_name lcov-parse
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.0
Release: %mkrel 5
Summary: Parse lcov results files and return JSON
License: BSD-3-Clause
Group: Development/Other
URL: https://github.com/davglass/lcov-parse#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bin %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr coverage %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/cli.js
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/cli.js %{buildroot}%{_bindir}/lcov-parse

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/lcov-parse
%license LICENSE
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.0-5.mga10
+ Revision: 2208242
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.0.0-4.mga9
+ Revision: 1818539
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-3.mga8
+ Revision: 1502963
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1280554
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 1.0.0-1.mga7
+ Revision: 1226950
- imported package nodejs-lcov-parse

